Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::LODSceneNode Class Reference

レベルオブディティールシーンノード More...

`#include <LODSceneNode.h>`

Inheritance diagram for Lamp::LODSceneNode:

List of all members.

## Public Member Functions
virtual SceneNode * | copy (u_int copyMask=0) const
| コピー
virtual LODSceneNode * | copyLODSceneNode (u_int copyMask=0) const
| レベルオブディティールシーンノードコピー
virtual void | setLODThresholdCount (int lodThresholdCount)
| LOD分割数の設定.
virtual int | getLODThresholdCount () const
| LOD分割数の取得.
virtual void | setLODThreshold (int index, float lodThreshold)
| LOD分割値の設定.
virtual float | getLODThreshold (int index) const
| LOD分割値の取得.
virtual bool | isLODSceneNode () const
| レベルオブディティールシーンノードかどうか
## Protected Member Functions
| LODSceneNode (const String &name, Scene *scene)
| コンストラクタ
virtual | ~LODSceneNode ()
| デストラクタ
virtual void | traverse (const Matrix34 &parentMatrix, const Vector3 &cameraPosition, bool parentEnabled, bool parentScaled, bool parentChanged)
| 走査
## Friends
class | SceneObjectManagerTemplate< SceneNode >
class | SceneNodeManager

## Detailed Description

レベルオブディティールシーンノード

Definition at line 36 of file LODSceneNode.h.

## Constructor & Destructor Documentation

Lamp::LODSceneNode::LODSceneNode | ( | const String & | name,
|  | Scene * | scene
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  scene | シーン
Definition at line 34 of file LODSceneNode.cpp. References NULL.

## Member Function Documentation

virtual SceneNode* Lamp::LODSceneNode::copy | ( | u_int | copyMask = 0 | ) | const`[inline, virtual]`

  | コピー Parameters:
  copyMask | コピーマスク
Returns: コピーされたシーンノード Reimplemented from Lamp::SceneNode. Definition at line 46 of file LODSceneNode.h. References copyLODSceneNode().

LODSceneNode * Lamp::LODSceneNode::copyLODSceneNode | ( | u_int | copyMask = 0 | ) | const`[virtual]`

  | レベルオブディティールシーンノードコピー Parameters:
  copyMask | コピーマスク
Returns: コピーされたレベルオブディティールシーンノード Definition at line 44 of file LODSceneNode.cpp. References Lamp::SceneNode::copySceneNodeValue(), Lamp::SceneNodeManager::createLODSceneNode(), Lamp::Scene::getSceneNodeManager(), Lamp::SceneObject::name_, Lamp::SceneObjectManagerTemplate< SceneNode >::rename(), Lamp::SceneObject::scene_, setLODThreshold(), and setLODThresholdCount(). Referenced by copy().

virtual float Lamp::LODSceneNode::getLODThreshold | ( | int | index | ) | const`[inline, virtual]`

  | LOD分割値の取得. Parameters:
  index | インデックス
Returns: LOD分割値 Definition at line 100 of file LODSceneNode.h. References Assert. Referenced by Lamp::TextSceneSaver::writeLODSceneNode(), and Lamp::BinarySceneSaver::writeLODSceneNode().

virtual int Lamp::LODSceneNode::getLODThresholdCount | ( |  | ) | const`[inline, virtual]`

| LOD分割数の取得. Returns: LOD分割数 Definition at line 81 of file LODSceneNode.h. Referenced by Lamp::TextSceneSaver::writeLODSceneNode(), and Lamp::BinarySceneSaver::writeLODSceneNode().

virtual bool Lamp::LODSceneNode::isLODSceneNode | ( |  | ) | const`[inline, virtual]`

| レベルオブディティールシーンノードかどうか Returns: レベルオブディティールシーンノードならtrue Reimplemented from Lamp::SceneNode. Definition at line 113 of file LODSceneNode.h.

virtual void Lamp::LODSceneNode::setLODThreshold | ( | int | index,
|  | float | lodThreshold
| ) | `[inline, virtual]`

  | LOD分割値の設定. Parameters:
  index | インデックス
  lodThreshold | LOD分割値
Definition at line 89 of file LODSceneNode.h. References Assert. Referenced by copyLODSceneNode(), Lamp::TextSceneLoader::readLODSceneNode(), and Lamp::BinarySceneLoader::readLODSceneNode().

virtual void Lamp::LODSceneNode::setLODThresholdCount | ( | int | lodThresholdCount | ) | `[inline, virtual]`

  | LOD分割数の設定. Parameters:
  lodThresholdCount | LOD分割数
Definition at line 65 of file LODSceneNode.h. References Assert, and SafeArrayDelete. Referenced by copyLODSceneNode(), Lamp::TextSceneLoader::readLODSceneNode(), and Lamp::BinarySceneLoader::readLODSceneNode().

void Lamp::LODSceneNode::traverse | ( | const Matrix34 & | parentMatrix,
|  | const Vector3 & | cameraPosition,
|  | bool | parentEnabled,
|  | bool | parentScaled,
|  | bool | parentChanged
| ) | `[protected, virtual]`

  | 走査 Parameters:
  parentMatrix | 親行列
  cameraPosition | カメラ位置
  parentEnabled | 親が有効か
  parentScaled | 親がスケールを使用しているか
  parentChanged | 親に変更があったか
Reimplemented from Lamp::SceneNode. Definition at line 58 of file LODSceneNode.cpp. References Assert, Lamp::SceneNode::calcMatrix(), Lamp::Vector3::getLength(), Lamp::SceneNode::getSceneLeaf(), Lamp::SceneNode::getSceneLeafCount(), Lamp::SceneNode::getSceneNode(), Lamp::SceneNode::getSceneNodeCount(), Lamp::Matrix34::getTranslation(), Lamp::SceneNode::getWorldMatrix(), Lamp::SceneNode::isEnabled(), Lamp::SceneNode::isGlobalEnabled(), Lamp::SceneNode::isScaled(), Lamp::SceneNode::setGlobalChanged(), Lamp::SceneNode::setGlobalEnabled(), Lamp::SceneNode::setGlobalScaled(), Lamp::SceneLeaf::traverse(), and Lamp::SceneNode::traverse().

The documentation for this class was generated from the following files:

- LODSceneNode.h
- LODSceneNode.cpp